Update Review Comment Product Content
curl --request PUT \
--url https://api.example.com/api/deployments/{deploymentId}/scm_comment_product_content/{reviewCommentProductContentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"reviewCommentProductContentId": "<string>",
"reviewCommentProductContent": {
"id": "<string>",
"contentType": "REVIEW_COMMENT_CONTENT_TYPE_ADDENDUM",
"content": "<string>",
"productContent": {}
}
}
'import requests
url = "https://api.example.com/api/deployments/{deploymentId}/scm_comment_product_content/{reviewCommentProductContentId}"
payload = {
"deploymentId": "<string>",
"reviewCommentProductContentId": "<string>",
"reviewCommentProductContent": {
"id": "<string>",
"contentType": "REVIEW_COMMENT_CONTENT_TYPE_ADDENDUM",
"content": "<string>",
"productContent": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
reviewCommentProductContentId: '<string>',
reviewCommentProductContent: {
id: '<string>',
contentType: 'REVIEW_COMMENT_CONTENT_TYPE_ADDENDUM',
content: '<string>',
productContent: {}
}
})
};
fetch('https://api.example.com/api/deployments/{deploymentId}/scm_comment_product_content/{reviewCommentProductContentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reviewCommentProductContent": {
"id": "<string>",
"contentType": "REVIEW_COMMENT_CONTENT_TYPE_ADDENDUM",
"content": "<string>",
"productContent": {}
}
}Review Comment Product Content
Update Review Comment Product Content
Update an existing review comment product content
PUT
/
api
/
deployments
/
{deploymentId}
/
scm_comment_product_content
/
{reviewCommentProductContentId}
Update Review Comment Product Content
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I